<?php include('casa/setup.casa.php');
$id = DataForms::GET('id');
$tipo = DataForms::GET('tipo');
if($tipo==1){
	$title = 'Modificar Producto por Piezas';
	$titulo2 = 'Cantidad Piezas Fisico';
}else{
	$title = 'Modificar Producto por Cantidad de Cajas';
	$titulo2 = 'Cantidad Cajas Fisico';
}
include('inc_scripts.php');
echo "<title>".AppName.' - '.$title."</title>";

$sql = "SELECT * FROM inventarios_productos
WHERE prod_codigo = '$id';";	
$db= new DB();
$db->dbSQL($sql);
$db->next();					
	$ubica_codigo_prod = $db->dbField('ubica_codigo');
	$prod_item = $db->dbField('prod_item');
	$prod_codigo = $db->dbField('prod_codigo');
	$prod_nombre = $db->dbField('prod_nombre');
	$prod_foto = $db->dbField('prod_foto');
		if($prod_foto=='') $prod_foto = 'vacio.png';
	$prod_piezascaja = $db->dbField('prod_piezascaja');
	$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
	
	$prod_preciounitario = $db->dbField('prod_preciounitario');
	$prod_preciodocena = $db->dbField('prod_preciodocena');
	$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
	$prod_fecha = $db->dbField('prod_fecha');
	$prod_observaciones = $db->dbField('prod_observaciones');
//cantidad cajas y unidades
	$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
	$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;
	$prod_piezascaja_real = $db->dbField('prod_piezascaja_real');	
	if($prod_piezascaja_real == 0) $prod_piezascaja_real = $prod_unidadesreal;
	$CantidadRealCajas = $prod_piezascaja_real / $prod_piezascaja;

	if($tipo==1)
		$cantidad = $prod_piezascaja_real;
	else{
		$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;
		$cantidad = $CantidadRealCajas;
	}
		
?>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form method="post" action="<?php echo PATH_HOME."productos-upd4.php"; ?>" enctype="multipart/form-data" novalidate>
							<div class="card">
								<div class="card-header">
									<div class="card-title"><?php echo $title?></div>
								</div>
								<div class="card-body">
									<div class="row">										
										<div class="col-md-6 col-lg-4">
											
											<div class="form-group form-group-default">
												<label>Item:</label>
												<input id='txtItem' name='txtItem' value='<?php echo $prod_item ?>' type="text" class="form-control" disabled>
											</div>		
											<div class="form-group form-group-default">
												<label>Producto:</label>
												<input id='txtProducto' name='txtProducto' value='<?php echo $prod_nombre ?>' type="text" class="form-control" disabled>
											</div>	
											<div class="form-group form-group-default">
												<label>Piezas por Caja:</label>
												<input id='txtPiezasCaja' name='txtPiezasCaja' value='<?php echo $prod_piezascaja ?>' type="number" class="form-control" disabled>
											</div>																																
											
										</div>
										
										<div class="col-md-6 col-lg-4">																																										
											<div class="form-group form-group-default">
												<label>Foto</label>
												<center><img src="<?php echo PATH_HOME.'fotos/small_'.$prod_foto ?>" width='200px'>
												</center>

											</div>																						
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-12">
									<div class="card">
										<div class="card-header">
											<div class="card-title">Control de Inventario</div>
										</div>
										<div class="card-body">
											<div class="row">										
												<div class="col-md-6 col-lg-4">																																										
												<div class="form-group form-group-default">
												<label><?php echo $titulo2; ?>:</label>
												<input id='cantidad' name='cantidad' value='<?php echo $cantidad ?>' type="number" class="form-control">
										
											</div>
											</div>		
									</div>
								</div>
								<div class="card-action"><center>
									<div id='res'></div>
									<input type="hidden" id='codigo' name='codigo' value='<?php echo $id; ?>'>
									<input type="hidden" id='tipo' name='tipo' value='<?php echo $tipo; ?>'>
									<input type="hidden" id='piezas' name='piezas' value='<?php echo $prod_piezascaja; ?>'>
									
									<a href='<?php echo PATH_HOME.'productos/'; ?>' class="btn btn-danger"><b> CANCELAR </b></a>
									<button class="btn btn-info" type='submit'><b> GUARDAR DATOS </b></button>	</center>								
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			
		</div>
		<?php include('inc_pie.php');?>
		
	</div>
</body>
</html>